Subject: RE: MPC852T with SCC3 and SMC1

From: "Stephan Linke" <[email-masked]>
Date: Fri, 12 Dec 2003 16:52:12 +0100

Hi Torsten,

I did all my tests in PPCBoot bootloader since I don't expect any additional problems in Linux.
Attached you can find a patch for cup/mpc8xx/serial.c in PPCBoot.

Regards, Stephan

> -----Original Message-----
> From: Demke, Torsten [mailto:[email-masked]]
> Sent: Donnerstag, 11. Dezember 2003 10:57
> To: Stephan Linke
> Subject: RE: MPC852T with SCC3 and SMC1
>
>
> Hello Stephan,
>
> thanks for your help.
> Do you made changes in the Linux uart.c driver
> to work with the relocated data structures?
>
> Regards,
> Torsten
>
> > -----Original Message-----
> > From: Stephan Linke [mailto:[email-masked]]
> > Sent: Donnerstag, 11. Dezember 2003 08:02
> > To: Demke, Torsten
> > Subject: RE: MPC852T with SCC3 and SMC1
> >
> >
> > Hi Thorsten,
> >
> > you should look for a 860 microcode. It's a microcode that
> > allowes relocating SMC, I2C and SMC. I already did some tests
> > with it on
> > a 852T and it finaly worked fine. But I had a lot of trouble
> > getting PPCBoot running on it but that was due to some a giant array
> > allocated on the stack (console buffer).
> >
> >
> > Regards, Stephan
> >
> > > -----Original Message-----
> > > From: [email-masked]
> > > [mailto:[email-masked]]On
> > Behalf Of Demke,
> > > Torsten
> > > Sent: Mittwoch, 10. Dezember 2003 18:24
> > > To: [email-masked]
> > > Subject: MPC852T with SCC3 and SMC1
> > >
> > >
> > >
> > > Hello all,
> > >
> > > At one of our boards were using the MPC852T.
> > > It will use the SMC1 as UART _and_ SCC3 with ethernet.
> > > (SCC4 will also run  ethernet.)
> > > I know that SCC3 will overlap the Parameter RAM of SMC1 and
> > > I guess that there is a microcode patch to relocate the SMC1.
> > >
> > > There is already a microcode patch mentioned in the 8xx_io/
> > directory
> > > but it doesnt work at my board. Somebody uses this
> > microcode to relocate
> > > SMC1? (to which address?)
> > >
> > > I also tried to find a microcode patch for MPC852T
> > > at the motorola web-site but without success.
> > > Can anybody give me a hint where to find this microcode?
> > >
> > > Thanks for your help.
> > >
> > > Best regards,
> > >
> > > Torsten Demke
> > >
> > >
> >
> >
>